Skip to main content
POST
/
api
/
v1
/
wallet
/
{id}
/
withdraw
Withdraw cash
curl --request POST \
  --url https://api.example.com/api/v1/wallet/{id}/withdraw \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "<string>",
  "amount": 123,
  "gasPrice": "<string>",
  "gasLimit": 123,
  "gasTip": "\"\""
}
'
[
  {
    "key": "<string>",
    "value": "<unknown>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
to
string
required

The direct address of the wallet

amount
integer
required

Amount of withdraw

gasPrice
string
required

Gas price for action execution. Possible values are 100%/1.0 gwei/1000000/'market'. Default: market

Pattern: ^(\d+(\.\d+)? gwei|\d+(\.\d+)?%|market)$
gasLimit
integer<int32>
required

Gas limit for action execution. Default: 10000000

gasTip
string

Gas tip for action execution. Possible values are 100%/1.0 gwei/1000000. Default: ""

Pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$
Example:

"\"\""

Response

200 - application/json

OK

key
string
value
any